#include <qtscript_includes.h>

#include <smoke.h>
#include <qtscript_smoke.h>

namespace __smokeqtscript {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QDateTime
      switch(to) {
        case 3: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QFactoryInterface
      switch(to) {
        case 5: return (void*)(QFactoryInterface*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QFactoryInterface*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 7:   //QLatin1String
      switch(to) {
        case 7: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 8:   //QMetaObject
      switch(to) {
        case 8: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 9:   //QObject
      switch(to) {
        case 9: return (void*)(QObject*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QObject*)xptr;
        case 17: return (void*)(QScriptEngine*)(QObject*)xptr;
        default: return xptr;
      }
    case 10:   //QRegExp
      switch(to) {
        case 10: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 11:   //QScriptClass
      switch(to) {
        case 11: return (void*)(QScriptClass*)xptr;
        default: return xptr;
      }
    case 12:   //QScriptClassPrivate
      switch(to) {
        case 12: return (void*)(QScriptClassPrivate*)xptr;
        default: return xptr;
      }
    case 13:   //QScriptClassPropertyIterator
      switch(to) {
        case 13: return (void*)(QScriptClassPropertyIterator*)xptr;
        default: return xptr;
      }
    case 14:   //QScriptClassPropertyIteratorPrivate
      switch(to) {
        case 14: return (void*)(QScriptClassPropertyIteratorPrivate*)xptr;
        default: return xptr;
      }
    case 15:   //QScriptContext
      switch(to) {
        case 15: return (void*)(QScriptContext*)xptr;
        default: return xptr;
      }
    case 16:   //QScriptContextInfo
      switch(to) {
        case 16: return (void*)(QScriptContextInfo*)xptr;
        default: return xptr;
      }
    case 17:   //QScriptEngine
      switch(to) {
        case 9: return (void*)(QObject*)(QScriptEngine*)xptr;
        case 17: return (void*)(QScriptEngine*)xptr;
        default: return xptr;
      }
    case 18:   //QScriptEngineAgent
      switch(to) {
        case 18: return (void*)(QScriptEngineAgent*)xptr;
        default: return xptr;
      }
    case 19:   //QScriptEngineAgentPrivate
      switch(to) {
        case 19: return (void*)(QScriptEngineAgentPrivate*)xptr;
        default: return xptr;
      }
    case 20:   //QScriptEnginePrivate
      switch(to) {
        case 20: return (void*)(QScriptEnginePrivate*)xptr;
        default: return xptr;
      }
    case 21:   //QScriptExtensionInterface
      switch(to) {
        case 5: return (void*)(QFactoryInterface*)(QScriptExtensionInterface*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QScriptExtensionInterface*)xptr;
        default: return xptr;
      }
    case 22:   //QScriptExtensionPlugin
      switch(to) {
        case 9: return (void*)(QObject*)(QScriptExtensionPlugin*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)(QScriptExtensionPlugin*)xptr;
        case 5: return (void*)(QFactoryInterface*)(QScriptExtensionPlugin*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)xptr;
        default: return xptr;
      }
    case 23:   //QScriptProgram
      switch(to) {
        case 23: return (void*)(QScriptProgram*)xptr;
        default: return xptr;
      }
    case 24:   //QScriptString
      switch(to) {
        case 24: return (void*)(QScriptString*)xptr;
        default: return xptr;
      }
    case 25:   //QScriptSyntaxCheckResult
      switch(to) {
        case 25: return (void*)(QScriptSyntaxCheckResult*)xptr;
        default: return xptr;
      }
    case 26:   //QScriptValue
      switch(to) {
        case 26: return (void*)(QScriptValue*)xptr;
        default: return xptr;
      }
    case 27:   //QScriptValueIterator
      switch(to) {
        case 27: return (void*)(QScriptValueIterator*)xptr;
        default: return xptr;
      }
    case 28:   //QScriptable
      switch(to) {
        case 28: return (void*)(QScriptable*)xptr;
        default: return xptr;
      }
    case 29:   //QTimerEvent
      switch(to) {
        case 29: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QVariant
      switch(to) {
        case 30: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    9, 0,	// 1: QObject
    5, 0,	// 3: QFactoryInterface
    9, 21, 0,	// 5: QObject, QScriptExtensionInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_QScriptValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptClass(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptSyntaxCheckResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptContextInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptEngineAgent(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptClass(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptClassPropertyIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptContextInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptEngineAgent(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptExtensionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptExtensionPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptString(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptSyntaxCheckResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptValue(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptValueIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptable(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//5
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//6
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//7
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//8
    { "QObject", true, 0, 0, 0, 0, 0 },	//9
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//10
    { "QScriptClass", false, 0, xcall_QScriptClass, xenum_QScriptClass, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptClass) },	//11
    { "QScriptClassPrivate", true, 0, 0, 0, 0, 0 },	//12
    { "QScriptClassPropertyIterator", false, 0, xcall_QScriptClassPropertyIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptClassPropertyIterator) },	//13
    { "QScriptClassPropertyIteratorPrivate", true, 0, 0, 0, 0, 0 },	//14
    { "QScriptContext", false, 0, xcall_QScriptContext, xenum_QScriptContext, 0, sizeof(QScriptContext) },	//15
    { "QScriptContextInfo", false, 0, xcall_QScriptContextInfo, xenum_QScriptContextInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptContextInfo) },	//16
    { "QScriptEngine", false, 1, xcall_QScriptEngine, xenum_QScriptEngine, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptEngine) },	//17
    { "QScriptEngineAgent", false, 0, xcall_QScriptEngineAgent, xenum_QScriptEngineAgent, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptEngineAgent) },	//18
    { "QScriptEngineAgentPrivate", true, 0, 0, 0, 0, 0 },	//19
    { "QScriptEnginePrivate", true, 0, 0, 0, 0, 0 },	//20
    { "QScriptExtensionInterface", false, 3, xcall_QScriptExtensionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QScriptExtensionInterface) },	//21
    { "QScriptExtensionPlugin", false, 5, xcall_QScriptExtensionPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptExtensionPlugin) },	//22
    { "QScriptProgram", true, 0, 0, 0, 0, 0 },	//23
    { "QScriptString", false, 0, xcall_QScriptString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptString) },	//24
    { "QScriptSyntaxCheckResult", false, 0, xcall_QScriptSyntaxCheckResult, xenum_QScriptSyntaxCheckResult, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptSyntaxCheckResult) },	//25
    { "QScriptValue", false, 0, xcall_QScriptValue, xenum_QScriptValue, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptValue) },	//26
    { "QScriptValueIterator", false, 0, xcall_QScriptValueIterator, 0, Smoke::cf_constructor, sizeof(QScriptValueIterator) },	//27
    { "QScriptable", false, 0, xcall_QScriptable, 0, Smoke::cf_constructor, sizeof(QScriptable) },	//28
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QVariant", true, 0, 0, 0, 0, 0 },	//30
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QDateTime", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QFlags<QScriptClass::QueryFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<QScriptValue::PropertyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QList<QScriptValue>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "QMetaObject::Call", 8, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QObject*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QRegExp", 10, Smoke::t_class|Smoke::tf_stack },	//10
    { "QRegExp&", 10, Smoke::t_class|Smoke::tf_ref },	//11
    { "QScriptClass*", 11, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QScriptClass::Extension", 11, Smoke::t_enum|Smoke::tf_stack },	//13
    { "QScriptClass::QueryFlag", 11, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QScriptClassPrivate&", 12, Smoke::t_class|Smoke::tf_ref },	//15
    { "QScriptClassPropertyIterator*", 13, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QScriptClassPropertyIteratorPrivate&", 14, Smoke::t_class|Smoke::tf_ref },	//17
    { "QScriptContext*", 15, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QScriptContext::Error", 15, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QScriptContext::ExecutionState", 15, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QScriptContextInfo&", 16, Smoke::t_class|Smoke::tf_ref },	//21
    { "QScriptContextInfo*", 16, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QScriptContextInfo::FunctionType", 16, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QScriptEngine*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QScriptEngine::QObjectWrapOption", 17, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QScriptEngine::ValueOwnership", 17, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QScriptEngineAgent*", 18, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QScriptEngineAgent::Extension", 18, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QScriptEngineAgentPrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//29
    { "QScriptEnginePrivate&", 20, Smoke::t_class|Smoke::tf_ref },	//30
    { "QScriptExtensionInterface*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QScriptExtensionPlugin*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QScriptString", 24, Smoke::t_class|Smoke::tf_stack },	//33
    { "QScriptString&", 24, Smoke::t_class|Smoke::tf_ref },	//34
    { "QScriptString*", 24, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QScriptSyntaxCheckResult", 25, Smoke::t_class|Smoke::tf_stack },	//36
    { "QScriptSyntaxCheckResult&", 25, Smoke::t_class|Smoke::tf_ref },	//37
    { "QScriptSyntaxCheckResult*", 25, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QScriptSyntaxCheckResult::State", 25, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QScriptValue", 26, Smoke::t_class|Smoke::tf_stack },	//40
    { "QScriptValue&", 26, Smoke::t_class|Smoke::tf_ref },	//41
    { "QScriptValue(*)(QScriptContext*,QScriptEngine*)", 26, Smoke::t_class|Smoke::tf_stack },	//42
    { "QScriptValue(*)(QScriptContext*,QScriptEngine*,void*)", 26, Smoke::t_class|Smoke::tf_stack },	//43
    { "QScriptValue*", 26, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QScriptValue::PropertyFlag", 26, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QScriptValue::ResolveFlag", 26, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QScriptValue::SpecialValue", 26, Smoke::t_enum|Smoke::tf_stack },	//47
    { "QScriptValueIterator&", 27, Smoke::t_class|Smoke::tf_ref },	//48
    { "QScriptValueIterator*", 27, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QScriptable*", 28, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//51
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//52
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//53
    { "QTimerEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QVariant", 30, Smoke::t_class|Smoke::tf_stack },	//55
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//128
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "const QDateTime&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//130
    { "const QFlags<QScriptEngine::QObjectWrapOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//131
    { "const QFlags<QScriptValue::PropertyFlag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//132
    { "const QFlags<QScriptValue::ResolveFlag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//133
    { "const QLatin1String&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const QList<QScriptValue>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//135
    { "const QMetaObject&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QMetaObject*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//137
    { "const QRegExp&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//138
    { "const QScriptContext*", 15, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//139
    { "const QScriptContextInfo&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const QScriptExtensionInterface&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//141
    { "const QScriptProgram&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const QScriptString&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//143
    { "const QScriptSyntaxCheckResult&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//144
    { "const QScriptValue&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//145
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//146
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//147
    { "const QVariant&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//148
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//149
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//150
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//151
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//152
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//153
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//154
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//155
    { "unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//156
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//157
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//158
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//159
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//160
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    9, 149, 145, 145, 0,	//1  QObject*, const char*, const QScriptValue&, const QScriptValue&
    4, 0,	//6  QEvent*
    9, 4, 0,	//8  QObject*, QEvent*
    54, 0,	//11  QTimerEvent*
    2, 0,	//13  QChildEvent*
    149, 0,	//15  const char*
    24, 0,	//17  QScriptEngine*
    145, 143, 5, 156, 0,	//19  const QScriptValue&, const QScriptString&, QFlags<QScriptClass::QueryFlag>, unsigned int*
    145, 143, 155, 0,	//24  const QScriptValue&, const QScriptString&, unsigned int
    41, 143, 155, 145, 0,	//28  QScriptValue&, const QScriptString&, unsigned int, const QScriptValue&
    145, 0,	//33  const QScriptValue&
    13, 0,	//35  QScriptClass::Extension
    13, 148, 0,	//37  QScriptClass::Extension, const QVariant&
    24, 15, 0,	//40  QScriptEngine*, QScriptClassPrivate&
    145, 17, 0,	//43  const QScriptValue&, QScriptClassPropertyIteratorPrivate&
    152, 0,	//46  int
    19, 146, 0,	//48  QScriptContext::Error, const QString&
    146, 0,	//51  const QString&
    139, 0,	//53  const QScriptContext*
    140, 0,	//55  const QScriptContextInfo&
    149, 149, 0,	//57  const char*, const char*
    149, 149, 152, 0,	//60  const char*, const char*, int
    8, 152, 159, 0,	//64  QMetaObject::Call, int, void**
    9, 0,	//68  QObject*
    146, 146, 152, 0,	//70  const QString&, const QString&, int
    142, 0,	//74  const QScriptProgram&
    42, 152, 0,	//76  QScriptValue(*)(QScriptContext*,QScriptEngine*), int
    42, 145, 152, 0,	//79  QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&, int
    43, 158, 0,	//83  QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*
    148, 0,	//86  const QVariant&
    145, 148, 0,	//88  const QScriptValue&, const QVariant&
    138, 0,	//91  const QRegExp&
    12, 145, 0,	//93  QScriptClass*, const QScriptValue&
    155, 0,	//96  unsigned int
    146, 146, 0,	//98  const QString&, const QString&
    151, 0,	//101  double
    130, 0,	//103  const QDateTime&
    9, 26, 131, 0,	//105  QObject*, QScriptEngine::ValueOwnership, const QFlags<QScriptEngine::QObjectWrapOption>&
    145, 9, 26, 131, 0,	//109  const QScriptValue&, QObject*, QScriptEngine::ValueOwnership, const QFlags<QScriptEngine::QObjectWrapOption>&
    137, 145, 0,	//114  const QMetaObject*, const QScriptValue&
    152, 145, 0,	//117  int, const QScriptValue&
    27, 0,	//120  QScriptEngineAgent*
    154, 0,	//122  long long
    30, 9, 0,	//124  QScriptEnginePrivate&, QObject*
    42, 0,	//127  QScriptValue(*)(QScriptContext*,QScriptEngine*)
    42, 145, 0,	//129  QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&
    12, 0,	//132  QScriptClass*
    9, 26, 0,	//134  QObject*, QScriptEngine::ValueOwnership
    145, 9, 0,	//137  const QScriptValue&, QObject*
    145, 9, 26, 0,	//140  const QScriptValue&, QObject*, QScriptEngine::ValueOwnership
    137, 0,	//144  const QMetaObject*
    30, 0,	//146  QScriptEnginePrivate&
    154, 146, 146, 152, 0,	//148  long long, const QString&, const QString&, int
    154, 145, 0,	//153  long long, const QScriptValue&
    154, 152, 152, 0,	//156  long long, int, int
    154, 145, 128, 0,	//160  long long, const QScriptValue&, bool
    28, 0,	//164  QScriptEngineAgent::Extension
    28, 148, 0,	//166  QScriptEngineAgent::Extension, const QVariant&
    29, 24, 0,	//169  QScriptEngineAgentPrivate&, QScriptEngine*
    146, 24, 0,	//172  const QString&, QScriptEngine*
    141, 0,	//175  const QScriptExtensionInterface&
    143, 0,	//177  const QScriptString&
    129, 0,	//179  bool*
    144, 0,	//181  const QScriptSyntaxCheckResult&
    24, 47, 0,	//183  QScriptEngine*, QScriptValue::SpecialValue
    24, 128, 0,	//186  QScriptEngine*, bool
    24, 152, 0,	//189  QScriptEngine*, int
    24, 155, 0,	//192  QScriptEngine*, unsigned int
    24, 151, 0,	//195  QScriptEngine*, double
    24, 146, 0,	//198  QScriptEngine*, const QString&
    47, 0,	//201  QScriptValue::SpecialValue
    128, 0,	//203  bool
    134, 0,	//205  const QLatin1String&
    146, 133, 0,	//207  const QString&, const QFlags<QScriptValue::ResolveFlag>&
    146, 145, 132, 0,	//210  const QString&, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&
    155, 133, 0,	//214  unsigned int, const QFlags<QScriptValue::ResolveFlag>&
    155, 145, 132, 0,	//217  unsigned int, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&
    143, 133, 0,	//221  const QScriptString&, const QFlags<QScriptValue::ResolveFlag>&
    143, 145, 132, 0,	//224  const QScriptString&, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&
    145, 135, 0,	//228  const QScriptValue&, const QList<QScriptValue>&
    145, 145, 0,	//231  const QScriptValue&, const QScriptValue&
    135, 0,	//234  const QList<QScriptValue>&
    146, 145, 0,	//236  const QString&, const QScriptValue&
    155, 145, 0,	//239  unsigned int, const QScriptValue&
    143, 145, 0,	//242  const QScriptString&, const QScriptValue&
    41, 0,	//245  QScriptValue&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AutoCreateDynamicProperties",	//1
    "AutoOwnership",	//2
    "Callable",	//3
    "DebuggerInvocationRequest",	//4
    "Error",	//5
    "ExceptionState",	//6
    "ExcludeChildObjects",	//7
    "ExcludeDeleteLater",	//8
    "ExcludeSlots",	//9
    "ExcludeSuperClassContents",	//10
    "ExcludeSuperClassMethods",	//11
    "ExcludeSuperClassProperties",	//12
    "HandlesReadAccess",	//13
    "HandlesWriteAccess",	//14
    "HasInstance",	//15
    "Intermediate",	//16
    "KeepExistingFlags",	//17
    "NativeFunction",	//18
    "NormalState",	//19
    "NullValue",	//20
    "PreferExistingWrapperObject",	//21
    "PropertyGetter",	//22
    "PropertySetter",	//23
    "QObjectMember",	//24
    "QScriptClass",	//25
    "QScriptClass#",	//26
    "QScriptClass##",	//27
    "QScriptClassPropertyIterator",	//28
    "QScriptClassPropertyIterator#",	//29
    "QScriptClassPropertyIterator##",	//30
    "QScriptContextInfo",	//31
    "QScriptContextInfo#",	//32
    "QScriptEngine",	//33
    "QScriptEngine#",	//34
    "QScriptEngine##",	//35
    "QScriptEngineAgent",	//36
    "QScriptEngineAgent#",	//37
    "QScriptEngineAgent##",	//38
    "QScriptExtensionInterface",	//39
    "QScriptExtensionInterface#",	//40
    "QScriptExtensionPlugin",	//41
    "QScriptExtensionPlugin#",	//42
    "QScriptString",	//43
    "QScriptString#",	//44
    "QScriptSyntaxCheckResult",	//45
    "QScriptSyntaxCheckResult#",	//46
    "QScriptValue",	//47
    "QScriptValue#",	//48
    "QScriptValue#$",	//49
    "QScriptValue$",	//50
    "QScriptValueIterator",	//51
    "QScriptValueIterator#",	//52
    "QScriptable",	//53
    "Q_COMPLEX_TYPE",	//54
    "Q_DUMMY_TYPE",	//55
    "Q_MOVABLE_TYPE",	//56
    "Q_PRIMITIVE_TYPE",	//57
    "Q_STATIC_TYPE",	//58
    "QtFunction",	//59
    "QtOwnership",	//60
    "QtPropertyFunction",	//61
    "RangeError",	//62
    "ReadOnly",	//63
    "ReferenceError",	//64
    "ResolveFull",	//65
    "ResolveLocal",	//66
    "ResolvePrototype",	//67
    "ResolveScope",	//68
    "ScriptFunction",	//69
    "ScriptOwnership",	//70
    "SkipInEnumeration",	//71
    "SkipMethodsInEnumeration",	//72
    "SyntaxError",	//73
    "TypeError",	//74
    "URIError",	//75
    "UndefinedValue",	//76
    "Undeletable",	//77
    "UnknownError",	//78
    "UserRange",	//79
    "Valid",	//80
    "abortEvaluation",	//81
    "abortEvaluation#",	//82
    "activationObject",	//83
    "agent",	//84
    "argument",	//85
    "argument$",	//86
    "argumentCount",	//87
    "argumentsObject",	//88
    "availableExtensions",	//89
    "backtrace",	//90
    "call",	//91
    "call#",	//92
    "call##",	//93
    "call#?",	//94
    "callee",	//95
    "canEvaluate",	//96
    "canEvaluate$",	//97
    "checkSyntax",	//98
    "checkSyntax$",	//99
    "childEvent",	//100
    "clearExceptions",	//101
    "collectGarbage",	//102
    "columnNumber",	//103
    "connectNotify",	//104
    "construct",	//105
    "construct#",	//106
    "construct?",	//107
    "context",	//108
    "contextPop",	//109
    "contextPush",	//110
    "currentContext",	//111
    "customEvent",	//112
    "data",	//113
    "defaultPrototype",	//114
    "defaultPrototype$",	//115
    "disconnectNotify",	//116
    "engine",	//117
    "equals",	//118
    "equals#",	//119
    "errorColumnNumber",	//120
    "errorLineNumber",	//121
    "errorMessage",	//122
    "evaluate",	//123
    "evaluate#",	//124
    "evaluate$",	//125
    "evaluate$$",	//126
    "evaluate$$$",	//127
    "event",	//128
    "eventFilter",	//129
    "exceptionCatch",	//130
    "exceptionCatch$#",	//131
    "exceptionThrow",	//132
    "exceptionThrow$#$",	//133
    "extension",	//134
    "extension$",	//135
    "extension$#",	//136
    "fileName",	//137
    "flags",	//138
    "functionEndLineNumber",	//139
    "functionEntry",	//140
    "functionEntry$",	//141
    "functionExit",	//142
    "functionExit$#",	//143
    "functionMetaIndex",	//144
    "functionName",	//145
    "functionParameterNames",	//146
    "functionStartLineNumber",	//147
    "functionType",	//148
    "globalObject",	//149
    "hasNext",	//150
    "hasPrevious",	//151
    "hasUncaughtException",	//152
    "id",	//153
    "importExtension",	//154
    "importExtension$",	//155
    "importedExtensions",	//156
    "initialize",	//157
    "initialize$#",	//158
    "installTranslatorFunctions",	//159
    "installTranslatorFunctions#",	//160
    "instanceOf",	//161
    "instanceOf#",	//162
    "isArray",	//163
    "isBool",	//164
    "isBoolean",	//165
    "isCalledAsConstructor",	//166
    "isDate",	//167
    "isError",	//168
    "isEvaluating",	//169
    "isFunction",	//170
    "isNull",	//171
    "isNumber",	//172
    "isObject",	//173
    "isQMetaObject",	//174
    "isQObject",	//175
    "isRegExp",	//176
    "isString",	//177
    "isUndefined",	//178
    "isValid",	//179
    "isVariant",	//180
    "keys",	//181
    "lessThan",	//182
    "lessThan#",	//183
    "lineNumber",	//184
    "metaObject",	//185
    "name",	//186
    "newActivationObject",	//187
    "newArray",	//188
    "newArray$",	//189
    "newDate",	//190
    "newDate#",	//191
    "newDate$",	//192
    "newFunction",	//193
    "newFunction#",	//194
    "newFunction##",	//195
    "newFunction##$",	//196
    "newFunction#$",	//197
    "newIterator",	//198
    "newIterator#",	//199
    "newObject",	//200
    "newObject#",	//201
    "newObject##",	//202
    "newQMetaObject",	//203
    "newQMetaObject#",	//204
    "newQMetaObject##",	//205
    "newQObject",	//206
    "newQObject#",	//207
    "newQObject##",	//208
    "newQObject##$",	//209
    "newQObject##$#",	//210
    "newQObject#$",	//211
    "newQObject#$#",	//212
    "newRegExp",	//213
    "newRegExp#",	//214
    "newRegExp$$",	//215
    "newVariant",	//216
    "newVariant#",	//217
    "newVariant##",	//218
    "next",	//219
    "nullValue",	//220
    "object",	//221
    "objectById",	//222
    "objectById$",	//223
    "objectId",	//224
    "operator QString",	//225
    "operator!=",	//226
    "operator!=#",	//227
    "operator=",	//228
    "operator=#",	//229
    "operator==",	//230
    "operator==#",	//231
    "parentContext",	//232
    "popContext",	//233
    "popScope",	//234
    "positionChange",	//235
    "positionChange$$$",	//236
    "previous",	//237
    "processEventsInterval",	//238
    "property",	//239
    "property#",	//240
    "property##",	//241
    "property##$",	//242
    "property$",	//243
    "property$#",	//244
    "propertyFlags",	//245
    "propertyFlags#",	//246
    "propertyFlags##",	//247
    "propertyFlags##$",	//248
    "propertyFlags$",	//249
    "propertyFlags$#",	//250
    "prototype",	//251
    "pushContext",	//252
    "pushScope",	//253
    "pushScope#",	//254
    "qScriptConnect",	//255
    "qScriptConnect#$##",	//256
    "qt_metacall",	//257
    "qt_metacall$$?",	//258
    "qt_metacast",	//259
    "qt_metacast$",	//260
    "queryProperty",	//261
    "queryProperty##$$",	//262
    "remove",	//263
    "reportAdditionalMemoryCost",	//264
    "reportAdditionalMemoryCost$",	//265
    "returnValue",	//266
    "scope",	//267
    "scopeChain",	//268
    "scriptClass",	//269
    "scriptId",	//270
    "scriptLoad",	//271
    "scriptLoad$$$$",	//272
    "scriptName",	//273
    "scriptUnload",	//274
    "scriptUnload$",	//275
    "setActivationObject",	//276
    "setActivationObject#",	//277
    "setAgent",	//278
    "setAgent#",	//279
    "setData",	//280
    "setData#",	//281
    "setDefaultPrototype",	//282
    "setDefaultPrototype$#",	//283
    "setGlobalObject",	//284
    "setGlobalObject#",	//285
    "setProcessEventsInterval",	//286
    "setProcessEventsInterval$",	//287
    "setProperty",	//288
    "setProperty##",	//289
    "setProperty###",	//290
    "setProperty##$#",	//291
    "setProperty$#",	//292
    "setProperty$##",	//293
    "setPrototype",	//294
    "setPrototype#",	//295
    "setReturnValue",	//296
    "setReturnValue#",	//297
    "setScope",	//298
    "setScope#",	//299
    "setScriptClass",	//300
    "setScriptClass#",	//301
    "setThisObject",	//302
    "setThisObject#",	//303
    "setValue",	//304
    "setValue#",	//305
    "setupPackage",	//306
    "setupPackage$#",	//307
    "signalHandlerException",	//308
    "signalHandlerException#",	//309
    "state",	//310
    "staticMetaObject",	//311
    "strictlyEquals",	//312
    "strictlyEquals#",	//313
    "supportsExtension",	//314
    "supportsExtension$",	//315
    "thisObject",	//316
    "throwError",	//317
    "throwError$",	//318
    "throwError$$",	//319
    "throwValue",	//320
    "throwValue#",	//321
    "timerEvent",	//322
    "toArrayIndex",	//323
    "toArrayIndex$",	//324
    "toBack",	//325
    "toBool",	//326
    "toBoolean",	//327
    "toDateTime",	//328
    "toFront",	//329
    "toInt32",	//330
    "toInteger",	//331
    "toNumber",	//332
    "toObject",	//333
    "toObject#",	//334
    "toQMetaObject",	//335
    "toQObject",	//336
    "toRegExp",	//337
    "toString",	//338
    "toStringHandle",	//339
    "toStringHandle$",	//340
    "toUInt16",	//341
    "toUInt32",	//342
    "toVariant",	//343
    "tr",	//344
    "tr$",	//345
    "tr$$",	//346
    "tr$$$",	//347
    "trUtf8",	//348
    "trUtf8$",	//349
    "trUtf8$$",	//350
    "trUtf8$$$",	//351
    "uncaughtException",	//352
    "uncaughtExceptionBacktrace",	//353
    "uncaughtExceptionLineNumber",	//354
    "undefinedValue",	//355
    "value",	//356
    "~QScriptClass",	//357
    "~QScriptClassPropertyIterator",	//358
    "~QScriptContext",	//359
    "~QScriptContextInfo",	//360
    "~QScriptEngine",	//361
    "~QScriptEngineAgent",	//362
    "~QScriptExtensionInterface",	//363
    "~QScriptExtensionPlugin",	//364
    "~QScriptString",	//365
    "~QScriptSyntaxCheckResult",	//366
    "~QScriptValue",	//367
    "~QScriptValueIterator",	//368
    "~QScriptable",	//369
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 181, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 0},	//1 QFactoryInterface::keys() const [pure virtual]
    {6, 255, 1, 4, Smoke::mf_static, 128, 1},	//2 QGlobalSpace::qScriptConnect(QObject*, const char*, const QScriptValue&, const QScriptValue&)
    {6, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 2},	//3 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {6, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 3},	//4 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {6, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 4},	//5 QGlobalSpace::Q_STATIC_TYPE (enum)
    {6, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 5},	//6 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {6, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 6},	//7 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {9, 128, 6, 1, Smoke::mf_virtual, 128, 0},	//8 QObject::event(QEvent*)
    {9, 129, 8, 2, Smoke::mf_virtual, 128, 0},	//9 QObject::eventFilter(QObject*, QEvent*)
    {9, 322, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 QObject::timerEvent(QTimerEvent*)
    {9, 100, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 QObject::childEvent(QChildEvent*)
    {9, 112, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 QObject::customEvent(QEvent*)
    {9, 104, 15, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 QObject::connectNotify(const char*)
    {9, 116, 15, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 QObject::disconnectNotify(const char*)
    {11, 25, 17, 1, Smoke::mf_ctor, 12, 1},	//15 QScriptClass::QScriptClass(QScriptEngine*)
    {11, 117, 0, 0, Smoke::mf_const, 24, 2},	//16 QScriptClass::engine() const
    {11, 261, 19, 4, Smoke::mf_virtual, 5, 3},	//17 QScriptClass::queryProperty(const QScriptValue&, const QScriptString&, QFlags<QScriptClass::QueryFlag>, unsigned int*)
    {11, 239, 24, 3, Smoke::mf_virtual, 40, 4},	//18 QScriptClass::property(const QScriptValue&, const QScriptString&, unsigned int)
    {11, 288, 28, 4, Smoke::mf_virtual, 0, 5},	//19 QScriptClass::setProperty(QScriptValue&, const QScriptString&, unsigned int, const QScriptValue&)
    {11, 245, 24, 3, Smoke::mf_virtual, 6, 6},	//20 QScriptClass::propertyFlags(const QScriptValue&, const QScriptString&, unsigned int)
    {11, 198, 33, 1, Smoke::mf_virtual, 16, 7},	//21 QScriptClass::newIterator(const QScriptValue&)
    {11, 251, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 8},	//22 QScriptClass::prototype() const
    {11, 186, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 9},	//23 QScriptClass::name() const
    {11, 314, 35, 1, Smoke::mf_const|Smoke::mf_virtual, 128, 10},	//24 QScriptClass::supportsExtension(QScriptClass::Extension) const
    {11, 134, 37, 2, Smoke::mf_virtual, 55, 11},	//25 QScriptClass::extension(QScriptClass::Extension, const QVariant&)
    {11, 25, 40, 2, Smoke::mf_ctor|Smoke::mf_protected, 12, 12},	//26 QScriptClass::QScriptClass(QScriptEngine*, QScriptClassPrivate&)
    {11, 134, 35, 1, 0, 55, 13},	//27 QScriptClass::extension(QScriptClass::Extension)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 14},	//28 QScriptClass::HandlesReadAccess (enum)
    {11, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 15},	//29 QScriptClass::HandlesWriteAccess (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 16},	//30 QScriptClass::Callable (enum)
    {11, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 17},	//31 QScriptClass::HasInstance (enum)
    {11, 357, 0, 0, Smoke::mf_dtor, 0, 18 },	//32 QScriptClass::~QScriptClass()
    {13, 28, 33, 1, Smoke::mf_ctor|Smoke::mf_protected, 16, 1},	//33 QScriptClassPropertyIterator::QScriptClassPropertyIterator(const QScriptValue&)
    {13, 221, 0, 0, Smoke::mf_const, 40, 2},	//34 QScriptClassPropertyIterator::object() const
    {13, 150, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 3},	//35 QScriptClassPropertyIterator::hasNext() const [pure virtual]
    {13, 219, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//36 QScriptClassPropertyIterator::next() [pure virtual]
    {13, 151, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 5},	//37 QScriptClassPropertyIterator::hasPrevious() const [pure virtual]
    {13, 237, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//38 QScriptClassPropertyIterator::previous() [pure virtual]
    {13, 329, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//39 QScriptClassPropertyIterator::toFront() [pure virtual]
    {13, 325, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//40 QScriptClassPropertyIterator::toBack() [pure virtual]
    {13, 186, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 33, 9},	//41 QScriptClassPropertyIterator::name() const [pure virtual]
    {13, 153, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 155, 10},	//42 QScriptClassPropertyIterator::id() const
    {13, 138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//43 QScriptClassPropertyIterator::flags() const
    {13, 28, 43, 2, Smoke::mf_ctor|Smoke::mf_protected, 16, 12},	//44 QScriptClassPropertyIterator::QScriptClassPropertyIterator(const QScriptValue&, QScriptClassPropertyIteratorPrivate&)
    {13, 358, 0, 0, Smoke::mf_dtor, 0, 13 },	//45 QScriptClassPropertyIterator::~QScriptClassPropertyIterator()
    {15, 232, 0, 0, Smoke::mf_const, 18, 1},	//46 QScriptContext::parentContext() const
    {15, 117, 0, 0, Smoke::mf_const, 24, 2},	//47 QScriptContext::engine() const
    {15, 310, 0, 0, Smoke::mf_const, 20, 3},	//48 QScriptContext::state() const
    {15, 95, 0, 0, Smoke::mf_const, 40, 4},	//49 QScriptContext::callee() const
    {15, 87, 0, 0, Smoke::mf_const, 152, 5},	//50 QScriptContext::argumentCount() const
    {15, 85, 46, 1, Smoke::mf_const, 40, 6},	//51 QScriptContext::argument(int) const
    {15, 88, 0, 0, Smoke::mf_const, 40, 7},	//52 QScriptContext::argumentsObject() const
    {15, 268, 0, 0, Smoke::mf_const, 7, 8},	//53 QScriptContext::scopeChain() const
    {15, 253, 33, 1, 0, 0, 9},	//54 QScriptContext::pushScope(const QScriptValue&)
    {15, 234, 0, 0, 0, 40, 10},	//55 QScriptContext::popScope()
    {15, 266, 0, 0, Smoke::mf_const, 40, 11},	//56 QScriptContext::returnValue() const
    {15, 296, 33, 1, 0, 0, 12},	//57 QScriptContext::setReturnValue(const QScriptValue&)
    {15, 83, 0, 0, Smoke::mf_const, 40, 13},	//58 QScriptContext::activationObject() const
    {15, 276, 33, 1, 0, 0, 14},	//59 QScriptContext::setActivationObject(const QScriptValue&)
    {15, 316, 0, 0, Smoke::mf_const, 40, 15},	//60 QScriptContext::thisObject() const
    {15, 302, 33, 1, 0, 0, 16},	//61 QScriptContext::setThisObject(const QScriptValue&)
    {15, 166, 0, 0, Smoke::mf_const, 128, 17},	//62 QScriptContext::isCalledAsConstructor() const
    {15, 320, 33, 1, 0, 40, 18},	//63 QScriptContext::throwValue(const QScriptValue&)
    {15, 317, 48, 2, 0, 40, 19},	//64 QScriptContext::throwError(QScriptContext::Error, const QString&)
    {15, 317, 51, 1, 0, 40, 20},	//65 QScriptContext::throwError(const QString&)
    {15, 90, 0, 0, Smoke::mf_const, 52, 21},	//66 QScriptContext::backtrace() const
    {15, 338, 0, 0, Smoke::mf_const, 51, 22},	//67 QScriptContext::toString() const
    {15, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 23},	//68 QScriptContext::NormalState (enum)
    {15, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 24},	//69 QScriptContext::ExceptionState (enum)
    {15, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 25},	//70 QScriptContext::UnknownError (enum)
    {15, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 26},	//71 QScriptContext::ReferenceError (enum)
    {15, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 27},	//72 QScriptContext::SyntaxError (enum)
    {15, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 28},	//73 QScriptContext::TypeError (enum)
    {15, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 29},	//74 QScriptContext::RangeError (enum)
    {15, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 30},	//75 QScriptContext::URIError (enum)
    {15, 359, 0, 0, Smoke::mf_dtor, 0, 31 },	//76 QScriptContext::~QScriptContext()
    {16, 31, 53, 1, Smoke::mf_ctor, 22, 1},	//77 QScriptContextInfo::QScriptContextInfo(const QScriptContext*)
    {16, 31, 55, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//78 QScriptContextInfo::QScriptContextInfo(const QScriptContextInfo&)
    {16, 31, 0, 0, Smoke::mf_ctor, 22, 3},	//79 QScriptContextInfo::QScriptContextInfo()
    {16, 228, 55, 1, 0, 21, 4},	//80 QScriptContextInfo::operator=(const QScriptContextInfo&)
    {16, 171, 0, 0, Smoke::mf_const, 128, 5},	//81 QScriptContextInfo::isNull() const
    {16, 270, 0, 0, Smoke::mf_const, 154, 6},	//82 QScriptContextInfo::scriptId() const
    {16, 137, 0, 0, Smoke::mf_const, 51, 7},	//83 QScriptContextInfo::fileName() const
    {16, 184, 0, 0, Smoke::mf_const, 152, 8},	//84 QScriptContextInfo::lineNumber() const
    {16, 103, 0, 0, Smoke::mf_const, 152, 9},	//85 QScriptContextInfo::columnNumber() const
    {16, 145, 0, 0, Smoke::mf_const, 51, 10},	//86 QScriptContextInfo::functionName() const
    {16, 148, 0, 0, Smoke::mf_const, 23, 11},	//87 QScriptContextInfo::functionType() const
    {16, 146, 0, 0, Smoke::mf_const, 52, 12},	//88 QScriptContextInfo::functionParameterNames() const
    {16, 147, 0, 0, Smoke::mf_const, 152, 13},	//89 QScriptContextInfo::functionStartLineNumber() const
    {16, 139, 0, 0, Smoke::mf_const, 152, 14},	//90 QScriptContextInfo::functionEndLineNumber() const
    {16, 144, 0, 0, Smoke::mf_const, 152, 15},	//91 QScriptContextInfo::functionMetaIndex() const
    {16, 230, 55, 1, Smoke::mf_const, 128, 16},	//92 QScriptContextInfo::operator==(const QScriptContextInfo&) const
    {16, 226, 55, 1, Smoke::mf_const, 128, 17},	//93 QScriptContextInfo::operator!=(const QScriptContextInfo&) const
    {16, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 18},	//94 QScriptContextInfo::ScriptFunction (enum)
    {16, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 19},	//95 QScriptContextInfo::QtFunction (enum)
    {16, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 20},	//96 QScriptContextInfo::QtPropertyFunction (enum)
    {16, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 21},	//97 QScriptContextInfo::NativeFunction (enum)
    {16, 360, 0, 0, Smoke::mf_dtor, 0, 22 },	//98 QScriptContextInfo::~QScriptContextInfo()
    {17, 185, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 137, 1},	//99 QScriptEngine::metaObject() const
    {17, 259, 15, 1, Smoke::mf_virtual, 158, 2},	//100 QScriptEngine::qt_metacast(const char*)
    {17, 344, 57, 2, Smoke::mf_static, 51, 3},	//101 QScriptEngine::tr(const char*, const char*)
    {17, 348, 57, 2, Smoke::mf_static, 51, 4},	//102 QScriptEngine::trUtf8(const char*, const char*)
    {17, 344, 60, 3, Smoke::mf_static, 51, 5},	//103 QScriptEngine::tr(const char*, const char*, int)
    {17, 348, 60, 3, Smoke::mf_static, 51, 6},	//104 QScriptEngine::trUtf8(const char*, const char*, int)
    {17, 257, 64, 3, Smoke::mf_virtual, 152, 7},	//105 QScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
    {17, 33, 0, 0, Smoke::mf_ctor, 24, 8},	//106 QScriptEngine::QScriptEngine()
    {17, 33, 68, 1, Smoke::mf_ctor, 24, 9},	//107 QScriptEngine::QScriptEngine(QObject*)
    {17, 149, 0, 0, Smoke::mf_const, 40, 10},	//108 QScriptEngine::globalObject() const
    {17, 284, 33, 1, 0, 0, 11},	//109 QScriptEngine::setGlobalObject(const QScriptValue&)
    {17, 111, 0, 0, Smoke::mf_const, 18, 12},	//110 QScriptEngine::currentContext() const
    {17, 252, 0, 0, 0, 18, 13},	//111 QScriptEngine::pushContext()
    {17, 233, 0, 0, 0, 0, 14},	//112 QScriptEngine::popContext()
    {17, 96, 51, 1, Smoke::mf_const, 128, 15},	//113 QScriptEngine::canEvaluate(const QString&) const
    {17, 98, 51, 1, Smoke::mf_static, 36, 16},	//114 QScriptEngine::checkSyntax(const QString&)
    {17, 123, 70, 3, 0, 40, 17},	//115 QScriptEngine::evaluate(const QString&, const QString&, int)
    {17, 123, 74, 1, 0, 40, 18},	//116 QScriptEngine::evaluate(const QScriptProgram&)
    {17, 169, 0, 0, Smoke::mf_const, 128, 19},	//117 QScriptEngine::isEvaluating() const
    {17, 81, 33, 1, 0, 0, 20},	//118 QScriptEngine::abortEvaluation(const QScriptValue&)
    {17, 152, 0, 0, Smoke::mf_const, 128, 21},	//119 QScriptEngine::hasUncaughtException() const
    {17, 352, 0, 0, Smoke::mf_const, 40, 22},	//120 QScriptEngine::uncaughtException() const
    {17, 354, 0, 0, Smoke::mf_const, 152, 23},	//121 QScriptEngine::uncaughtExceptionLineNumber() const
    {17, 353, 0, 0, Smoke::mf_const, 52, 24},	//122 QScriptEngine::uncaughtExceptionBacktrace() const
    {17, 101, 0, 0, 0, 0, 25},	//123 QScriptEngine::clearExceptions()
    {17, 220, 0, 0, 0, 40, 26},	//124 QScriptEngine::nullValue()
    {17, 355, 0, 0, 0, 40, 27},	//125 QScriptEngine::undefinedValue()
    {17, 193, 76, 2, 0, 40, 28},	//126 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), int)
    {17, 193, 79, 3, 0, 40, 29},	//127 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&, int)
    {17, 193, 83, 2, 0, 40, 30},	//128 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*)
    {17, 216, 86, 1, 0, 40, 31},	//129 QScriptEngine::newVariant(const QVariant&)
    {17, 216, 88, 2, 0, 40, 32},	//130 QScriptEngine::newVariant(const QScriptValue&, const QVariant&)
    {17, 213, 91, 1, 0, 40, 33},	//131 QScriptEngine::newRegExp(const QRegExp&)
    {17, 200, 0, 0, 0, 40, 34},	//132 QScriptEngine::newObject()
    {17, 200, 93, 2, 0, 40, 35},	//133 QScriptEngine::newObject(QScriptClass*, const QScriptValue&)
    {17, 188, 96, 1, 0, 40, 36},	//134 QScriptEngine::newArray(unsigned int)
    {17, 213, 98, 2, 0, 40, 37},	//135 QScriptEngine::newRegExp(const QString&, const QString&)
    {17, 190, 101, 1, 0, 40, 38},	//136 QScriptEngine::newDate(double)
    {17, 190, 103, 1, 0, 40, 39},	//137 QScriptEngine::newDate(const QDateTime&)
    {17, 187, 0, 0, 0, 40, 40},	//138 QScriptEngine::newActivationObject()
    {17, 206, 105, 3, 0, 40, 41},	//139 QScriptEngine::newQObject(QObject*, QScriptEngine::ValueOwnership, const QFlags<QScriptEngine::QObjectWrapOption>&)
    {17, 206, 109, 4, 0, 40, 42},	//140 QScriptEngine::newQObject(const QScriptValue&, QObject*, QScriptEngine::ValueOwnership, const QFlags<QScriptEngine::QObjectWrapOption>&)
    {17, 203, 114, 2, 0, 40, 43},	//141 QScriptEngine::newQMetaObject(const QMetaObject*, const QScriptValue&)
    {17, 114, 46, 1, Smoke::mf_const, 40, 44},	//142 QScriptEngine::defaultPrototype(int) const
    {17, 282, 117, 2, 0, 0, 45},	//143 QScriptEngine::setDefaultPrototype(int, const QScriptValue&)
    {17, 159, 33, 1, 0, 0, 46},	//144 QScriptEngine::installTranslatorFunctions(const QScriptValue&)
    {17, 154, 51, 1, 0, 40, 47},	//145 QScriptEngine::importExtension(const QString&)
    {17, 89, 0, 0, Smoke::mf_const, 52, 48},	//146 QScriptEngine::availableExtensions() const
    {17, 156, 0, 0, Smoke::mf_const, 52, 49},	//147 QScriptEngine::importedExtensions() const
    {17, 102, 0, 0, 0, 0, 50},	//148 QScriptEngine::collectGarbage()
    {17, 264, 46, 1, 0, 0, 51},	//149 QScriptEngine::reportAdditionalMemoryCost(int)
    {17, 286, 46, 1, 0, 0, 52},	//150 QScriptEngine::setProcessEventsInterval(int)
    {17, 238, 0, 0, Smoke::mf_const, 152, 53},	//151 QScriptEngine::processEventsInterval() const
    {17, 278, 120, 1, 0, 0, 54},	//152 QScriptEngine::setAgent(QScriptEngineAgent*)
    {17, 84, 0, 0, Smoke::mf_const, 27, 55},	//153 QScriptEngine::agent() const
    {17, 339, 51, 1, 0, 33, 56},	//154 QScriptEngine::toStringHandle(const QString&)
    {17, 333, 33, 1, 0, 40, 57},	//155 QScriptEngine::toObject(const QScriptValue&)
    {17, 222, 122, 1, Smoke::mf_const, 40, 58},	//156 QScriptEngine::objectById(long long) const
    {17, 308, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//157 QScriptEngine::signalHandlerException(const QScriptValue&)
    {17, 33, 124, 2, Smoke::mf_ctor|Smoke::mf_protected, 24, 60},	//158 QScriptEngine::QScriptEngine(QScriptEnginePrivate&, QObject*)
    {17, 344, 15, 1, Smoke::mf_static, 51, 61},	//159 QScriptEngine::tr(const char*)
    {17, 348, 15, 1, Smoke::mf_static, 51, 62},	//160 QScriptEngine::trUtf8(const char*)
    {17, 123, 51, 1, 0, 40, 63},	//161 QScriptEngine::evaluate(const QString&)
    {17, 123, 98, 2, 0, 40, 64},	//162 QScriptEngine::evaluate(const QString&, const QString&)
    {17, 81, 0, 0, 0, 0, 65},	//163 QScriptEngine::abortEvaluation()
    {17, 193, 127, 1, 0, 40, 66},	//164 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*))
    {17, 193, 129, 2, 0, 40, 67},	//165 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&)
    {17, 200, 132, 1, 0, 40, 68},	//166 QScriptEngine::newObject(QScriptClass*)
    {17, 188, 0, 0, 0, 40, 69},	//167 QScriptEngine::newArray()
    {17, 206, 68, 1, 0, 40, 70},	//168 QScriptEngine::newQObject(QObject*)
    {17, 206, 134, 2, 0, 40, 71},	//169 QScriptEngine::newQObject(QObject*, QScriptEngine::ValueOwnership)
    {17, 206, 137, 2, 0, 40, 72},	//170 QScriptEngine::newQObject(const QScriptValue&, QObject*)
    {17, 206, 140, 3, 0, 40, 73},	//171 QScriptEngine::newQObject(const QScriptValue&, QObject*, QScriptEngine::ValueOwnership)
    {17, 203, 144, 1, 0, 40, 74},	//172 QScriptEngine::newQMetaObject(const QMetaObject*)
    {17, 159, 0, 0, 0, 0, 75},	//173 QScriptEngine::installTranslatorFunctions()
    {17, 33, 146, 1, Smoke::mf_ctor|Smoke::mf_protected, 24, 76},	//174 QScriptEngine::QScriptEngine(QScriptEnginePrivate&)
    {17, 311, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 136, 77},	//175 QScriptEngine::staticMetaObject() const
    {17, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 78},	//176 QScriptEngine::QtOwnership (enum)
    {17, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 79},	//177 QScriptEngine::ScriptOwnership (enum)
    {17, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 80},	//178 QScriptEngine::AutoOwnership (enum)
    {17, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 81},	//179 QScriptEngine::ExcludeChildObjects (enum)
    {17, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 82},	//180 QScriptEngine::ExcludeSuperClassMethods (enum)
    {17, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 83},	//181 QScriptEngine::ExcludeSuperClassProperties (enum)
    {17, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 84},	//182 QScriptEngine::ExcludeSuperClassContents (enum)
    {17, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 85},	//183 QScriptEngine::SkipMethodsInEnumeration (enum)
    {17, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 86},	//184 QScriptEngine::ExcludeDeleteLater (enum)
    {17, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 87},	//185 QScriptEngine::ExcludeSlots (enum)
    {17, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 88},	//186 QScriptEngine::AutoCreateDynamicProperties (enum)
    {17, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 89},	//187 QScriptEngine::PreferExistingWrapperObject (enum)
    {17, 361, 0, 0, Smoke::mf_dtor, 0, 90 },	//188 QScriptEngine::~QScriptEngine()
    {18, 36, 17, 1, Smoke::mf_ctor, 27, 1},	//189 QScriptEngineAgent::QScriptEngineAgent(QScriptEngine*)
    {18, 271, 148, 4, Smoke::mf_virtual, 0, 2},	//190 QScriptEngineAgent::scriptLoad(long long, const QString&, const QString&, int)
    {18, 274, 122, 1, Smoke::mf_virtual, 0, 3},	//191 QScriptEngineAgent::scriptUnload(long long)
    {18, 110, 0, 0, Smoke::mf_virtual, 0, 4},	//192 QScriptEngineAgent::contextPush()
    {18, 109, 0, 0, Smoke::mf_virtual, 0, 5},	//193 QScriptEngineAgent::contextPop()
    {18, 140, 122, 1, Smoke::mf_virtual, 0, 6},	//194 QScriptEngineAgent::functionEntry(long long)
    {18, 142, 153, 2, Smoke::mf_virtual, 0, 7},	//195 QScriptEngineAgent::functionExit(long long, const QScriptValue&)
    {18, 235, 156, 3, Smoke::mf_virtual, 0, 8},	//196 QScriptEngineAgent::positionChange(long long, int, int)
    {18, 132, 160, 3, Smoke::mf_virtual, 0, 9},	//197 QScriptEngineAgent::exceptionThrow(long long, const QScriptValue&, bool)
    {18, 130, 153, 2, Smoke::mf_virtual, 0, 10},	//198 QScriptEngineAgent::exceptionCatch(long long, const QScriptValue&)
    {18, 314, 164, 1, Smoke::mf_const|Smoke::mf_virtual, 128, 11},	//199 QScriptEngineAgent::supportsExtension(QScriptEngineAgent::Extension) const
    {18, 134, 166, 2, Smoke::mf_virtual, 55, 12},	//200 QScriptEngineAgent::extension(QScriptEngineAgent::Extension, const QVariant&)
    {18, 117, 0, 0, Smoke::mf_const, 24, 13},	//201 QScriptEngineAgent::engine() const
    {18, 36, 169, 2, Smoke::mf_ctor|Smoke::mf_protected, 27, 14},	//202 QScriptEngineAgent::QScriptEngineAgent(QScriptEngineAgentPrivate&, QScriptEngine*)
    {18, 134, 164, 1, 0, 55, 15},	//203 QScriptEngineAgent::extension(QScriptEngineAgent::Extension)
    {18, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 16},	//204 QScriptEngineAgent::DebuggerInvocationRequest (enum)
    {18, 362, 0, 0, Smoke::mf_dtor, 0, 17 },	//205 QScriptEngineAgent::~QScriptEngineAgent()
    {21, 157, 172, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//206 QScriptExtensionInterface::initialize(const QString&, QScriptEngine*) [pure virtual]
    {21, 39, 0, 0, Smoke::mf_ctor, 31, 2},	//207 QScriptExtensionInterface::QScriptExtensionInterface()
    {21, 39, 175, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//208 QScriptExtensionInterface::QScriptExtensionInterface(const QScriptExtensionInterface&)
    {21, 363, 0, 0, Smoke::mf_dtor, 0, 4 },	//209 QScriptExtensionInterface::~QScriptExtensionInterface()
    {22, 185, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 137, 1},	//210 QScriptExtensionPlugin::metaObject() const
    {22, 259, 15, 1, Smoke::mf_virtual, 158, 2},	//211 QScriptExtensionPlugin::qt_metacast(const char*)
    {22, 344, 57, 2, Smoke::mf_static, 51, 3},	//212 QScriptExtensionPlugin::tr(const char*, const char*)
    {22, 348, 57, 2, Smoke::mf_static, 51, 4},	//213 QScriptExtensionPlugin::trUtf8(const char*, const char*)
    {22, 344, 60, 3, Smoke::mf_static, 51, 5},	//214 QScriptExtensionPlugin::tr(const char*, const char*, int)
    {22, 348, 60, 3, Smoke::mf_static, 51, 6},	//215 QScriptExtensionPlugin::trUtf8(const char*, const char*, int)
    {22, 257, 64, 3, Smoke::mf_virtual, 152, 7},	//216 QScriptExtensionPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {22, 41, 68, 1, Smoke::mf_ctor, 32, 8},	//217 QScriptExtensionPlugin::QScriptExtensionPlugin(QObject*)
    {22, 181, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 9},	//218 QScriptExtensionPlugin::keys() const [pure virtual]
    {22, 157, 172, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//219 QScriptExtensionPlugin::initialize(const QString&, QScriptEngine*) [pure virtual]
    {22, 306, 172, 2, Smoke::mf_const, 40, 11},	//220 QScriptExtensionPlugin::setupPackage(const QString&, QScriptEngine*) const
    {22, 344, 15, 1, Smoke::mf_static, 51, 12},	//221 QScriptExtensionPlugin::tr(const char*)
    {22, 348, 15, 1, Smoke::mf_static, 51, 13},	//222 QScriptExtensionPlugin::trUtf8(const char*)
    {22, 41, 0, 0, Smoke::mf_ctor, 32, 14},	//223 QScriptExtensionPlugin::QScriptExtensionPlugin()
    {22, 311, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 136, 15},	//224 QScriptExtensionPlugin::staticMetaObject() const
    {22, 364, 0, 0, Smoke::mf_dtor, 0, 16 },	//225 QScriptExtensionPlugin::~QScriptExtensionPlugin()
    {24, 43, 0, 0, Smoke::mf_ctor, 35, 1},	//226 QScriptString::QScriptString()
    {24, 43, 177, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 2},	//227 QScriptString::QScriptString(const QScriptString&)
    {24, 228, 177, 1, 0, 34, 3},	//228 QScriptString::operator=(const QScriptString&)
    {24, 179, 0, 0, Smoke::mf_const, 128, 4},	//229 QScriptString::isValid() const
    {24, 230, 177, 1, Smoke::mf_const, 128, 5},	//230 QScriptString::operator==(const QScriptString&) const
    {24, 226, 177, 1, Smoke::mf_const, 128, 6},	//231 QScriptString::operator!=(const QScriptString&) const
    {24, 323, 179, 1, Smoke::mf_const, 155, 7},	//232 QScriptString::toArrayIndex(bool*) const
    {24, 338, 0, 0, Smoke::mf_const, 51, 8},	//233 QScriptString::toString() const
    {24, 225, 0, 0, Smoke::mf_const, 51, 9},	//234 QScriptString::operator QString() const
    {24, 323, 0, 0, Smoke::mf_const, 155, 10},	//235 QScriptString::toArrayIndex() const
    {24, 365, 0, 0, Smoke::mf_dtor, 0, 11 },	//236 QScriptString::~QScriptString()
    {25, 45, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 1},	//237 QScriptSyntaxCheckResult::QScriptSyntaxCheckResult(const QScriptSyntaxCheckResult&)
    {25, 310, 0, 0, Smoke::mf_const, 39, 2},	//238 QScriptSyntaxCheckResult::state() const
    {25, 121, 0, 0, Smoke::mf_const, 152, 3},	//239 QScriptSyntaxCheckResult::errorLineNumber() const
    {25, 120, 0, 0, Smoke::mf_const, 152, 4},	//240 QScriptSyntaxCheckResult::errorColumnNumber() const
    {25, 122, 0, 0, Smoke::mf_const, 51, 5},	//241 QScriptSyntaxCheckResult::errorMessage() const
    {25, 228, 181, 1, 0, 37, 6},	//242 QScriptSyntaxCheckResult::operator=(const QScriptSyntaxCheckResult&)
    {25, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 7},	//243 QScriptSyntaxCheckResult::Error (enum)
    {25, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 8},	//244 QScriptSyntaxCheckResult::Intermediate (enum)
    {25, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 9},	//245 QScriptSyntaxCheckResult::Valid (enum)
    {25, 366, 0, 0, Smoke::mf_dtor, 0, 10 },	//246 QScriptSyntaxCheckResult::~QScriptSyntaxCheckResult()
    {26, 47, 0, 0, Smoke::mf_ctor, 44, 1},	//247 QScriptValue::QScriptValue()
    {26, 47, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 2},	//248 QScriptValue::QScriptValue(const QScriptValue&)
    {26, 47, 183, 2, Smoke::mf_ctor, 44, 3},	//249 QScriptValue::QScriptValue(QScriptEngine*, QScriptValue::SpecialValue)
    {26, 47, 186, 2, Smoke::mf_ctor, 44, 4},	//250 QScriptValue::QScriptValue(QScriptEngine*, bool)
    {26, 47, 189, 2, Smoke::mf_ctor, 44, 5},	//251 QScriptValue::QScriptValue(QScriptEngine*, int)
    {26, 47, 192, 2, Smoke::mf_ctor, 44, 6},	//252 QScriptValue::QScriptValue(QScriptEngine*, unsigned int)
    {26, 47, 195, 2, Smoke::mf_ctor, 44, 7},	//253 QScriptValue::QScriptValue(QScriptEngine*, double)
    {26, 47, 198, 2, Smoke::mf_ctor, 44, 8},	//254 QScriptValue::QScriptValue(QScriptEngine*, const QString&)
    {26, 47, 201, 1, Smoke::mf_ctor, 44, 9},	//255 QScriptValue::QScriptValue(QScriptValue::SpecialValue)
    {26, 47, 203, 1, Smoke::mf_ctor, 44, 10},	//256 QScriptValue::QScriptValue(bool)
    {26, 47, 46, 1, Smoke::mf_ctor, 44, 11},	//257 QScriptValue::QScriptValue(int)
    {26, 47, 96, 1, Smoke::mf_ctor, 44, 12},	//258 QScriptValue::QScriptValue(unsigned int)
    {26, 47, 101, 1, Smoke::mf_ctor, 44, 13},	//259 QScriptValue::QScriptValue(double)
    {26, 47, 51, 1, Smoke::mf_ctor, 44, 14},	//260 QScriptValue::QScriptValue(const QString&)
    {26, 47, 205, 1, Smoke::mf_ctor, 44, 15},	//261 QScriptValue::QScriptValue(const QLatin1String&)
    {26, 228, 33, 1, 0, 41, 16},	//262 QScriptValue::operator=(const QScriptValue&)
    {26, 117, 0, 0, Smoke::mf_const, 24, 17},	//263 QScriptValue::engine() const
    {26, 179, 0, 0, Smoke::mf_const, 128, 18},	//264 QScriptValue::isValid() const
    {26, 164, 0, 0, Smoke::mf_const, 128, 19},	//265 QScriptValue::isBool() const
    {26, 165, 0, 0, Smoke::mf_const, 128, 20},	//266 QScriptValue::isBoolean() const
    {26, 172, 0, 0, Smoke::mf_const, 128, 21},	//267 QScriptValue::isNumber() const
    {26, 170, 0, 0, Smoke::mf_const, 128, 22},	//268 QScriptValue::isFunction() const
    {26, 171, 0, 0, Smoke::mf_const, 128, 23},	//269 QScriptValue::isNull() const
    {26, 177, 0, 0, Smoke::mf_const, 128, 24},	//270 QScriptValue::isString() const
    {26, 178, 0, 0, Smoke::mf_const, 128, 25},	//271 QScriptValue::isUndefined() const
    {26, 180, 0, 0, Smoke::mf_const, 128, 26},	//272 QScriptValue::isVariant() const
    {26, 175, 0, 0, Smoke::mf_const, 128, 27},	//273 QScriptValue::isQObject() const
    {26, 174, 0, 0, Smoke::mf_const, 128, 28},	//274 QScriptValue::isQMetaObject() const
    {26, 173, 0, 0, Smoke::mf_const, 128, 29},	//275 QScriptValue::isObject() const
    {26, 167, 0, 0, Smoke::mf_const, 128, 30},	//276 QScriptValue::isDate() const
    {26, 176, 0, 0, Smoke::mf_const, 128, 31},	//277 QScriptValue::isRegExp() const
    {26, 163, 0, 0, Smoke::mf_const, 128, 32},	//278 QScriptValue::isArray() const
    {26, 168, 0, 0, Smoke::mf_const, 128, 33},	//279 QScriptValue::isError() const
    {26, 338, 0, 0, Smoke::mf_const, 51, 34},	//280 QScriptValue::toString() const
    {26, 332, 0, 0, Smoke::mf_const, 151, 35},	//281 QScriptValue::toNumber() const
    {26, 326, 0, 0, Smoke::mf_const, 128, 36},	//282 QScriptValue::toBool() const
    {26, 327, 0, 0, Smoke::mf_const, 128, 37},	//283 QScriptValue::toBoolean() const
    {26, 331, 0, 0, Smoke::mf_const, 151, 38},	//284 QScriptValue::toInteger() const
    {26, 330, 0, 0, Smoke::mf_const, 152, 39},	//285 QScriptValue::toInt32() const
    {26, 342, 0, 0, Smoke::mf_const, 155, 40},	//286 QScriptValue::toUInt32() const
    {26, 341, 0, 0, Smoke::mf_const, 157, 41},	//287 QScriptValue::toUInt16() const
    {26, 343, 0, 0, Smoke::mf_const, 55, 42},	//288 QScriptValue::toVariant() const
    {26, 336, 0, 0, Smoke::mf_const, 9, 43},	//289 QScriptValue::toQObject() const
    {26, 335, 0, 0, Smoke::mf_const, 137, 44},	//290 QScriptValue::toQMetaObject() const
    {26, 333, 0, 0, Smoke::mf_const, 40, 45},	//291 QScriptValue::toObject() const
    {26, 328, 0, 0, Smoke::mf_const, 3, 46},	//292 QScriptValue::toDateTime() const
    {26, 337, 0, 0, Smoke::mf_const, 10, 47},	//293 QScriptValue::toRegExp() const
    {26, 161, 33, 1, Smoke::mf_const, 128, 48},	//294 QScriptValue::instanceOf(const QScriptValue&) const
    {26, 182, 33, 1, Smoke::mf_const, 128, 49},	//295 QScriptValue::lessThan(const QScriptValue&) const
    {26, 118, 33, 1, Smoke::mf_const, 128, 50},	//296 QScriptValue::equals(const QScriptValue&) const
    {26, 312, 33, 1, Smoke::mf_const, 128, 51},	//297 QScriptValue::strictlyEquals(const QScriptValue&) const
    {26, 251, 0, 0, Smoke::mf_const, 40, 52},	//298 QScriptValue::prototype() const
    {26, 294, 33, 1, 0, 0, 53},	//299 QScriptValue::setPrototype(const QScriptValue&)
    {26, 267, 0, 0, Smoke::mf_const, 40, 54},	//300 QScriptValue::scope() const
    {26, 298, 33, 1, 0, 0, 55},	//301 QScriptValue::setScope(const QScriptValue&)
    {26, 239, 207, 2, Smoke::mf_const, 40, 56},	//302 QScriptValue::property(const QString&, const QFlags<QScriptValue::ResolveFlag>&) const
    {26, 288, 210, 3, 0, 0, 57},	//303 QScriptValue::setProperty(const QString&, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&)
    {26, 239, 214, 2, Smoke::mf_const, 40, 58},	//304 QScriptValue::property(unsigned int, const QFlags<QScriptValue::ResolveFlag>&) const
    {26, 288, 217, 3, 0, 0, 59},	//305 QScriptValue::setProperty(unsigned int, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&)
    {26, 239, 221, 2, Smoke::mf_const, 40, 60},	//306 QScriptValue::property(const QScriptString&, const QFlags<QScriptValue::ResolveFlag>&) const
    {26, 288, 224, 3, 0, 0, 61},	//307 QScriptValue::setProperty(const QScriptString&, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&)
    {26, 245, 207, 2, Smoke::mf_const, 6, 62},	//308 QScriptValue::propertyFlags(const QString&, const QFlags<QScriptValue::ResolveFlag>&) const
    {26, 245, 221, 2, Smoke::mf_const, 6, 63},	//309 QScriptValue::propertyFlags(const QScriptString&, const QFlags<QScriptValue::ResolveFlag>&) const
    {26, 91, 228, 2, 0, 40, 64},	//310 QScriptValue::call(const QScriptValue&, const QList<QScriptValue>&)
    {26, 91, 231, 2, 0, 40, 65},	//311 QScriptValue::call(const QScriptValue&, const QScriptValue&)
    {26, 105, 234, 1, 0, 40, 66},	//312 QScriptValue::construct(const QList<QScriptValue>&)
    {26, 105, 33, 1, 0, 40, 67},	//313 QScriptValue::construct(const QScriptValue&)
    {26, 113, 0, 0, Smoke::mf_const, 40, 68},	//314 QScriptValue::data() const
    {26, 280, 33, 1, 0, 0, 69},	//315 QScriptValue::setData(const QScriptValue&)
    {26, 269, 0, 0, Smoke::mf_const, 12, 70},	//316 QScriptValue::scriptClass() const
    {26, 300, 132, 1, 0, 0, 71},	//317 QScriptValue::setScriptClass(QScriptClass*)
    {26, 224, 0, 0, Smoke::mf_const, 154, 72},	//318 QScriptValue::objectId() const
    {26, 239, 51, 1, Smoke::mf_const, 40, 73},	//319 QScriptValue::property(const QString&) const
    {26, 288, 236, 2, 0, 0, 74},	//320 QScriptValue::setProperty(const QString&, const QScriptValue&)
    {26, 239, 96, 1, Smoke::mf_const, 40, 75},	//321 QScriptValue::property(unsigned int) const
    {26, 288, 239, 2, 0, 0, 76},	//322 QScriptValue::setProperty(unsigned int, const QScriptValue&)
    {26, 239, 177, 1, Smoke::mf_const, 40, 77},	//323 QScriptValue::property(const QScriptString&) const
    {26, 288, 242, 2, 0, 0, 78},	//324 QScriptValue::setProperty(const QScriptString&, const QScriptValue&)
    {26, 245, 51, 1, Smoke::mf_const, 6, 79},	//325 QScriptValue::propertyFlags(const QString&) const
    {26, 245, 177, 1, Smoke::mf_const, 6, 80},	//326 QScriptValue::propertyFlags(const QScriptString&) const
    {26, 91, 0, 0, 0, 40, 81},	//327 QScriptValue::call()
    {26, 91, 33, 1, 0, 40, 82},	//328 QScriptValue::call(const QScriptValue&)
    {26, 105, 0, 0, 0, 40, 83},	//329 QScriptValue::construct()
    {26, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 84},	//330 QScriptValue::ResolveLocal (enum)
    {26, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 85},	//331 QScriptValue::ResolvePrototype (enum)
    {26, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 86},	//332 QScriptValue::ResolveScope (enum)
    {26, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 87},	//333 QScriptValue::ResolveFull (enum)
    {26, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 88},	//334 QScriptValue::ReadOnly (enum)
    {26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 89},	//335 QScriptValue::Undeletable (enum)
    {26, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 90},	//336 QScriptValue::SkipInEnumeration (enum)
    {26, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 91},	//337 QScriptValue::PropertyGetter (enum)
    {26, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 92},	//338 QScriptValue::PropertySetter (enum)
    {26, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 93},	//339 QScriptValue::QObjectMember (enum)
    {26, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 94},	//340 QScriptValue::KeepExistingFlags (enum)
    {26, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 95},	//341 QScriptValue::UserRange (enum)
    {26, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 96},	//342 QScriptValue::NullValue (enum)
    {26, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 97},	//343 QScriptValue::UndefinedValue (enum)
    {26, 367, 0, 0, Smoke::mf_dtor, 0, 98 },	//344 QScriptValue::~QScriptValue()
    {27, 51, 33, 1, Smoke::mf_ctor, 49, 1},	//345 QScriptValueIterator::QScriptValueIterator(const QScriptValue&)
    {27, 150, 0, 0, Smoke::mf_const, 128, 2},	//346 QScriptValueIterator::hasNext() const
    {27, 219, 0, 0, 0, 0, 3},	//347 QScriptValueIterator::next()
    {27, 151, 0, 0, Smoke::mf_const, 128, 4},	//348 QScriptValueIterator::hasPrevious() const
    {27, 237, 0, 0, 0, 0, 5},	//349 QScriptValueIterator::previous()
    {27, 186, 0, 0, Smoke::mf_const, 51, 6},	//350 QScriptValueIterator::name() const
    {27, 273, 0, 0, Smoke::mf_const, 33, 7},	//351 QScriptValueIterator::scriptName() const
    {27, 356, 0, 0, Smoke::mf_const, 40, 8},	//352 QScriptValueIterator::value() const
    {27, 304, 33, 1, 0, 0, 9},	//353 QScriptValueIterator::setValue(const QScriptValue&)
    {27, 138, 0, 0, Smoke::mf_const, 6, 10},	//354 QScriptValueIterator::flags() const
    {27, 263, 0, 0, 0, 0, 11},	//355 QScriptValueIterator::remove()
    {27, 329, 0, 0, 0, 0, 12},	//356 QScriptValueIterator::toFront()
    {27, 325, 0, 0, 0, 0, 13},	//357 QScriptValueIterator::toBack()
    {27, 228, 245, 1, 0, 48, 14},	//358 QScriptValueIterator::operator=(QScriptValue&)
    {27, 368, 0, 0, Smoke::mf_dtor, 0, 15 },	//359 QScriptValueIterator::~QScriptValueIterator()
    {28, 53, 0, 0, Smoke::mf_ctor, 50, 1},	//360 QScriptable::QScriptable()
    {28, 117, 0, 0, Smoke::mf_const, 24, 2},	//361 QScriptable::engine() const
    {28, 108, 0, 0, Smoke::mf_const, 18, 3},	//362 QScriptable::context() const
    {28, 316, 0, 0, Smoke::mf_const, 40, 4},	//363 QScriptable::thisObject() const
    {28, 87, 0, 0, Smoke::mf_const, 152, 5},	//364 QScriptable::argumentCount() const
    {28, 85, 46, 1, Smoke::mf_const, 40, 6},	//365 QScriptable::argument(int) const
    {28, 369, 0, 0, Smoke::mf_dtor, 0, 7 },	//366 QScriptable::~QScriptable()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    107,  // QScriptEngine::QScriptEngine(QObject*)
    174,  // QScriptEngine::QScriptEngine(QScriptEnginePrivate&)
    0,
    126,  // QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), int)
    128,  // QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*)
    0,
    248,  // QScriptValue::QScriptValue(const QScriptValue&)
    261,  // QScriptValue::QScriptValue(const QLatin1String&)
    0,
    249,  // QScriptValue::QScriptValue(QScriptEngine*, QScriptValue::SpecialValue)
    250,  // QScriptValue::QScriptValue(QScriptEngine*, bool)
    251,  // QScriptValue::QScriptValue(QScriptEngine*, int)
    252,  // QScriptValue::QScriptValue(QScriptEngine*, unsigned int)
    253,  // QScriptValue::QScriptValue(QScriptEngine*, double)
    254,  // QScriptValue::QScriptValue(QScriptEngine*, const QString&)
    0,
    255,  // QScriptValue::QScriptValue(QScriptValue::SpecialValue)
    256,  // QScriptValue::QScriptValue(bool)
    257,  // QScriptValue::QScriptValue(int)
    258,  // QScriptValue::QScriptValue(unsigned int)
    259,  // QScriptValue::QScriptValue(double)
    260,  // QScriptValue::QScriptValue(const QString&)
    0,
    319,  // QScriptValue::property(const QString&) const
    321,  // QScriptValue::property(unsigned int) const
    0,
    302,  // QScriptValue::property(const QString&, const QFlags<QScriptValue::ResolveFlag>&) const
    304,  // QScriptValue::property(unsigned int, const QFlags<QScriptValue::ResolveFlag>&) const
    0,
    320,  // QScriptValue::setProperty(const QString&, const QScriptValue&)
    322,  // QScriptValue::setProperty(unsigned int, const QScriptValue&)
    0,
    303,  // QScriptValue::setProperty(const QString&, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&)
    305,  // QScriptValue::setProperty(unsigned int, const QScriptValue&, const QFlags<QScriptValue::PropertyFlag>&)
    0,
    77,  // QScriptContextInfo::QScriptContextInfo(const QScriptContext*)
    78,  // QScriptContextInfo::QScriptContextInfo(const QScriptContextInfo&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 54, 3},	// QGlobalSpace::Q_COMPLEX_TYPE
    {6, 55, 7},	// QGlobalSpace::Q_DUMMY_TYPE
    {6, 56, 6},	// QGlobalSpace::Q_MOVABLE_TYPE
    {6, 57, 4},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {6, 58, 5},	// QGlobalSpace::Q_STATIC_TYPE
    {6, 256, 2},	// QGlobalSpace::qScriptConnect#$##
    {11, 3, 30},	// QScriptClass::Callable
    {11, 13, 28},	// QScriptClass::HandlesReadAccess
    {11, 14, 29},	// QScriptClass::HandlesWriteAccess
    {11, 15, 31},	// QScriptClass::HasInstance
    {11, 26, 15},	// QScriptClass::QScriptClass#
    {11, 27, 26},	// QScriptClass::QScriptClass##
    {11, 117, 16},	// QScriptClass::engine
    {11, 135, 27},	// QScriptClass::extension$
    {11, 136, 25},	// QScriptClass::extension$#
    {11, 186, 23},	// QScriptClass::name
    {11, 199, 21},	// QScriptClass::newIterator#
    {11, 242, 18},	// QScriptClass::property##$
    {11, 248, 20},	// QScriptClass::propertyFlags##$
    {11, 251, 22},	// QScriptClass::prototype
    {11, 262, 17},	// QScriptClass::queryProperty##$$
    {11, 291, 19},	// QScriptClass::setProperty##$#
    {11, 315, 24},	// QScriptClass::supportsExtension$
    {11, 357, 32},	// QScriptClass::~QScriptClass
    {13, 29, 33},	// QScriptClassPropertyIterator::QScriptClassPropertyIterator#
    {13, 30, 44},	// QScriptClassPropertyIterator::QScriptClassPropertyIterator##
    {13, 138, 43},	// QScriptClassPropertyIterator::flags
    {13, 150, 35},	// QScriptClassPropertyIterator::hasNext
    {13, 151, 37},	// QScriptClassPropertyIterator::hasPrevious
    {13, 153, 42},	// QScriptClassPropertyIterator::id
    {13, 186, 41},	// QScriptClassPropertyIterator::name
    {13, 219, 36},	// QScriptClassPropertyIterator::next
    {13, 221, 34},	// QScriptClassPropertyIterator::object
    {13, 237, 38},	// QScriptClassPropertyIterator::previous
    {13, 325, 40},	// QScriptClassPropertyIterator::toBack
    {13, 329, 39},	// QScriptClassPropertyIterator::toFront
    {13, 358, 45},	// QScriptClassPropertyIterator::~QScriptClassPropertyIterator
    {15, 6, 69},	// QScriptContext::ExceptionState
    {15, 19, 68},	// QScriptContext::NormalState
    {15, 62, 74},	// QScriptContext::RangeError
    {15, 64, 71},	// QScriptContext::ReferenceError
    {15, 73, 72},	// QScriptContext::SyntaxError
    {15, 74, 73},	// QScriptContext::TypeError
    {15, 75, 75},	// QScriptContext::URIError
    {15, 78, 70},	// QScriptContext::UnknownError
    {15, 83, 58},	// QScriptContext::activationObject
    {15, 86, 51},	// QScriptContext::argument$
    {15, 87, 50},	// QScriptContext::argumentCount
    {15, 88, 52},	// QScriptContext::argumentsObject
    {15, 90, 66},	// QScriptContext::backtrace
    {15, 95, 49},	// QScriptContext::callee
    {15, 117, 47},	// QScriptContext::engine
    {15, 166, 62},	// QScriptContext::isCalledAsConstructor
    {15, 232, 46},	// QScriptContext::parentContext
    {15, 234, 55},	// QScriptContext::popScope
    {15, 254, 54},	// QScriptContext::pushScope#
    {15, 266, 56},	// QScriptContext::returnValue
    {15, 268, 53},	// QScriptContext::scopeChain
    {15, 277, 59},	// QScriptContext::setActivationObject#
    {15, 297, 57},	// QScriptContext::setReturnValue#
    {15, 303, 61},	// QScriptContext::setThisObject#
    {15, 310, 48},	// QScriptContext::state
    {15, 316, 60},	// QScriptContext::thisObject
    {15, 318, 65},	// QScriptContext::throwError$
    {15, 319, 64},	// QScriptContext::throwError$$
    {15, 321, 63},	// QScriptContext::throwValue#
    {15, 338, 67},	// QScriptContext::toString
    {15, 359, 76},	// QScriptContext::~QScriptContext
    {16, 18, 97},	// QScriptContextInfo::NativeFunction
    {16, 31, 79},	// QScriptContextInfo::QScriptContextInfo
    {16, 32, -36},	// QScriptContextInfo::QScriptContextInfo#
    {16, 59, 95},	// QScriptContextInfo::QtFunction
    {16, 61, 96},	// QScriptContextInfo::QtPropertyFunction
    {16, 69, 94},	// QScriptContextInfo::ScriptFunction
    {16, 103, 85},	// QScriptContextInfo::columnNumber
    {16, 137, 83},	// QScriptContextInfo::fileName
    {16, 139, 90},	// QScriptContextInfo::functionEndLineNumber
    {16, 144, 91},	// QScriptContextInfo::functionMetaIndex
    {16, 145, 86},	// QScriptContextInfo::functionName
    {16, 146, 88},	// QScriptContextInfo::functionParameterNames
    {16, 147, 89},	// QScriptContextInfo::functionStartLineNumber
    {16, 148, 87},	// QScriptContextInfo::functionType
    {16, 171, 81},	// QScriptContextInfo::isNull
    {16, 184, 84},	// QScriptContextInfo::lineNumber
    {16, 227, 93},	// QScriptContextInfo::operator!=#
    {16, 229, 80},	// QScriptContextInfo::operator=#
    {16, 231, 92},	// QScriptContextInfo::operator==#
    {16, 270, 82},	// QScriptContextInfo::scriptId
    {16, 360, 98},	// QScriptContextInfo::~QScriptContextInfo
    {17, 1, 186},	// QScriptEngine::AutoCreateDynamicProperties
    {17, 2, 178},	// QScriptEngine::AutoOwnership
    {17, 7, 179},	// QScriptEngine::ExcludeChildObjects
    {17, 8, 184},	// QScriptEngine::ExcludeDeleteLater
    {17, 9, 185},	// QScriptEngine::ExcludeSlots
    {17, 10, 182},	// QScriptEngine::ExcludeSuperClassContents
    {17, 11, 180},	// QScriptEngine::ExcludeSuperClassMethods
    {17, 12, 181},	// QScriptEngine::ExcludeSuperClassProperties
    {17, 21, 187},	// QScriptEngine::PreferExistingWrapperObject
    {17, 33, 106},	// QScriptEngine::QScriptEngine
    {17, 34, -1},	// QScriptEngine::QScriptEngine#
    {17, 35, 158},	// QScriptEngine::QScriptEngine##
    {17, 60, 176},	// QScriptEngine::QtOwnership
    {17, 70, 177},	// QScriptEngine::ScriptOwnership
    {17, 72, 183},	// QScriptEngine::SkipMethodsInEnumeration
    {17, 81, 163},	// QScriptEngine::abortEvaluation
    {17, 82, 118},	// QScriptEngine::abortEvaluation#
    {17, 84, 153},	// QScriptEngine::agent
    {17, 89, 146},	// QScriptEngine::availableExtensions
    {17, 97, 113},	// QScriptEngine::canEvaluate$
    {17, 99, 114},	// QScriptEngine::checkSyntax$
    {17, 101, 123},	// QScriptEngine::clearExceptions
    {17, 102, 148},	// QScriptEngine::collectGarbage
    {17, 111, 110},	// QScriptEngine::currentContext
    {17, 115, 142},	// QScriptEngine::defaultPrototype$
    {17, 124, 116},	// QScriptEngine::evaluate#
    {17, 125, 161},	// QScriptEngine::evaluate$
    {17, 126, 162},	// QScriptEngine::evaluate$$
    {17, 127, 115},	// QScriptEngine::evaluate$$$
    {17, 149, 108},	// QScriptEngine::globalObject
    {17, 152, 119},	// QScriptEngine::hasUncaughtException
    {17, 155, 145},	// QScriptEngine::importExtension$
    {17, 156, 147},	// QScriptEngine::importedExtensions
    {17, 159, 173},	// QScriptEngine::installTranslatorFunctions
    {17, 160, 144},	// QScriptEngine::installTranslatorFunctions#
    {17, 169, 117},	// QScriptEngine::isEvaluating
    {17, 185, 99},	// QScriptEngine::metaObject
    {17, 187, 138},	// QScriptEngine::newActivationObject
    {17, 188, 167},	// QScriptEngine::newArray
    {17, 189, 134},	// QScriptEngine::newArray$
    {17, 191, 137},	// QScriptEngine::newDate#
    {17, 192, 136},	// QScriptEngine::newDate$
    {17, 194, 164},	// QScriptEngine::newFunction#
    {17, 195, 165},	// QScriptEngine::newFunction##
    {17, 196, 127},	// QScriptEngine::newFunction##$
    {17, 197, -4},	// QScriptEngine::newFunction#$
    {17, 200, 132},	// QScriptEngine::newObject
    {17, 201, 166},	// QScriptEngine::newObject#
    {17, 202, 133},	// QScriptEngine::newObject##
    {17, 204, 172},	// QScriptEngine::newQMetaObject#
    {17, 205, 141},	// QScriptEngine::newQMetaObject##
    {17, 207, 168},	// QScriptEngine::newQObject#
    {17, 208, 170},	// QScriptEngine::newQObject##
    {17, 209, 171},	// QScriptEngine::newQObject##$
    {17, 210, 140},	// QScriptEngine::newQObject##$#
    {17, 211, 169},	// QScriptEngine::newQObject#$
    {17, 212, 139},	// QScriptEngine::newQObject#$#
    {17, 214, 131},	// QScriptEngine::newRegExp#
    {17, 215, 135},	// QScriptEngine::newRegExp$$
    {17, 217, 129},	// QScriptEngine::newVariant#
    {17, 218, 130},	// QScriptEngine::newVariant##
    {17, 220, 124},	// QScriptEngine::nullValue
    {17, 223, 156},	// QScriptEngine::objectById$
    {17, 233, 112},	// QScriptEngine::popContext
    {17, 238, 151},	// QScriptEngine::processEventsInterval
    {17, 252, 111},	// QScriptEngine::pushContext
    {17, 258, 105},	// QScriptEngine::qt_metacall$$?
    {17, 260, 100},	// QScriptEngine::qt_metacast$
    {17, 265, 149},	// QScriptEngine::reportAdditionalMemoryCost$
    {17, 279, 152},	// QScriptEngine::setAgent#
    {17, 283, 143},	// QScriptEngine::setDefaultPrototype$#
    {17, 285, 109},	// QScriptEngine::setGlobalObject#
    {17, 287, 150},	// QScriptEngine::setProcessEventsInterval$
    {17, 309, 157},	// QScriptEngine::signalHandlerException#
    {17, 311, 175},	// QScriptEngine::staticMetaObject
    {17, 334, 155},	// QScriptEngine::toObject#
    {17, 340, 154},	// QScriptEngine::toStringHandle$
    {17, 345, 159},	// QScriptEngine::tr$
    {17, 346, 101},	// QScriptEngine::tr$$
    {17, 347, 103},	// QScriptEngine::tr$$$
    {17, 349, 160},	// QScriptEngine::trUtf8$
    {17, 350, 102},	// QScriptEngine::trUtf8$$
    {17, 351, 104},	// QScriptEngine::trUtf8$$$
    {17, 352, 120},	// QScriptEngine::uncaughtException
    {17, 353, 122},	// QScriptEngine::uncaughtExceptionBacktrace
    {17, 354, 121},	// QScriptEngine::uncaughtExceptionLineNumber
    {17, 355, 125},	// QScriptEngine::undefinedValue
    {17, 361, 188},	// QScriptEngine::~QScriptEngine
    {18, 4, 204},	// QScriptEngineAgent::DebuggerInvocationRequest
    {18, 37, 189},	// QScriptEngineAgent::QScriptEngineAgent#
    {18, 38, 202},	// QScriptEngineAgent::QScriptEngineAgent##
    {18, 109, 193},	// QScriptEngineAgent::contextPop
    {18, 110, 192},	// QScriptEngineAgent::contextPush
    {18, 117, 201},	// QScriptEngineAgent::engine
    {18, 131, 198},	// QScriptEngineAgent::exceptionCatch$#
    {18, 133, 197},	// QScriptEngineAgent::exceptionThrow$#$
    {18, 135, 203},	// QScriptEngineAgent::extension$
    {18, 136, 200},	// QScriptEngineAgent::extension$#
    {18, 141, 194},	// QScriptEngineAgent::functionEntry$
    {18, 143, 195},	// QScriptEngineAgent::functionExit$#
    {18, 236, 196},	// QScriptEngineAgent::positionChange$$$
    {18, 272, 190},	// QScriptEngineAgent::scriptLoad$$$$
    {18, 275, 191},	// QScriptEngineAgent::scriptUnload$
    {18, 315, 199},	// QScriptEngineAgent::supportsExtension$
    {18, 362, 205},	// QScriptEngineAgent::~QScriptEngineAgent
    {21, 39, 207},	// QScriptExtensionInterface::QScriptExtensionInterface
    {21, 40, 208},	// QScriptExtensionInterface::QScriptExtensionInterface#
    {21, 158, 206},	// QScriptExtensionInterface::initialize$#
    {21, 363, 209},	// QScriptExtensionInterface::~QScriptExtensionInterface
    {22, 41, 223},	// QScriptExtensionPlugin::QScriptExtensionPlugin
    {22, 42, 217},	// QScriptExtensionPlugin::QScriptExtensionPlugin#
    {22, 158, 219},	// QScriptExtensionPlugin::initialize$#
    {22, 181, 218},	// QScriptExtensionPlugin::keys
    {22, 185, 210},	// QScriptExtensionPlugin::metaObject
    {22, 258, 216},	// QScriptExtensionPlugin::qt_metacall$$?
    {22, 260, 211},	// QScriptExtensionPlugin::qt_metacast$
    {22, 307, 220},	// QScriptExtensionPlugin::setupPackage$#
    {22, 311, 224},	// QScriptExtensionPlugin::staticMetaObject
    {22, 345, 221},	// QScriptExtensionPlugin::tr$
    {22, 346, 212},	// QScriptExtensionPlugin::tr$$
    {22, 347, 214},	// QScriptExtensionPlugin::tr$$$
    {22, 349, 222},	// QScriptExtensionPlugin::trUtf8$
    {22, 350, 213},	// QScriptExtensionPlugin::trUtf8$$
    {22, 351, 215},	// QScriptExtensionPlugin::trUtf8$$$
    {22, 364, 225},	// QScriptExtensionPlugin::~QScriptExtensionPlugin
    {24, 43, 226},	// QScriptString::QScriptString
    {24, 44, 227},	// QScriptString::QScriptString#
    {24, 179, 229},	// QScriptString::isValid
    {24, 225, 234},	// QScriptString::operator QString
    {24, 227, 231},	// QScriptString::operator!=#
    {24, 229, 228},	// QScriptString::operator=#
    {24, 231, 230},	// QScriptString::operator==#
    {24, 323, 235},	// QScriptString::toArrayIndex
    {24, 324, 232},	// QScriptString::toArrayIndex$
    {24, 338, 233},	// QScriptString::toString
    {24, 365, 236},	// QScriptString::~QScriptString
    {25, 5, 243},	// QScriptSyntaxCheckResult::Error
    {25, 16, 244},	// QScriptSyntaxCheckResult::Intermediate
    {25, 46, 237},	// QScriptSyntaxCheckResult::QScriptSyntaxCheckResult#
    {25, 80, 245},	// QScriptSyntaxCheckResult::Valid
    {25, 120, 240},	// QScriptSyntaxCheckResult::errorColumnNumber
    {25, 121, 239},	// QScriptSyntaxCheckResult::errorLineNumber
    {25, 122, 241},	// QScriptSyntaxCheckResult::errorMessage
    {25, 229, 242},	// QScriptSyntaxCheckResult::operator=#
    {25, 310, 238},	// QScriptSyntaxCheckResult::state
    {25, 366, 246},	// QScriptSyntaxCheckResult::~QScriptSyntaxCheckResult
    {26, 17, 340},	// QScriptValue::KeepExistingFlags
    {26, 20, 342},	// QScriptValue::NullValue
    {26, 22, 337},	// QScriptValue::PropertyGetter
    {26, 23, 338},	// QScriptValue::PropertySetter
    {26, 24, 339},	// QScriptValue::QObjectMember
    {26, 47, 247},	// QScriptValue::QScriptValue
    {26, 48, -7},	// QScriptValue::QScriptValue#
    {26, 49, -10},	// QScriptValue::QScriptValue#$
    {26, 50, -17},	// QScriptValue::QScriptValue$
    {26, 63, 334},	// QScriptValue::ReadOnly
    {26, 65, 333},	// QScriptValue::ResolveFull
    {26, 66, 330},	// QScriptValue::ResolveLocal
    {26, 67, 331},	// QScriptValue::ResolvePrototype
    {26, 68, 332},	// QScriptValue::ResolveScope
    {26, 71, 336},	// QScriptValue::SkipInEnumeration
    {26, 76, 343},	// QScriptValue::UndefinedValue
    {26, 77, 335},	// QScriptValue::Undeletable
    {26, 79, 341},	// QScriptValue::UserRange
    {26, 91, 327},	// QScriptValue::call
    {26, 92, 328},	// QScriptValue::call#
    {26, 93, 311},	// QScriptValue::call##
    {26, 94, 310},	// QScriptValue::call#?
    {26, 105, 329},	// QScriptValue::construct
    {26, 106, 313},	// QScriptValue::construct#
    {26, 107, 312},	// QScriptValue::construct?
    {26, 113, 314},	// QScriptValue::data
    {26, 117, 263},	// QScriptValue::engine
    {26, 119, 296},	// QScriptValue::equals#
    {26, 162, 294},	// QScriptValue::instanceOf#
    {26, 163, 278},	// QScriptValue::isArray
    {26, 164, 265},	// QScriptValue::isBool
    {26, 165, 266},	// QScriptValue::isBoolean
    {26, 167, 276},	// QScriptValue::isDate
    {26, 168, 279},	// QScriptValue::isError
    {26, 170, 268},	// QScriptValue::isFunction
    {26, 171, 269},	// QScriptValue::isNull
    {26, 172, 267},	// QScriptValue::isNumber
    {26, 173, 275},	// QScriptValue::isObject
    {26, 174, 274},	// QScriptValue::isQMetaObject
    {26, 175, 273},	// QScriptValue::isQObject
    {26, 176, 277},	// QScriptValue::isRegExp
    {26, 177, 270},	// QScriptValue::isString
    {26, 178, 271},	// QScriptValue::isUndefined
    {26, 179, 264},	// QScriptValue::isValid
    {26, 180, 272},	// QScriptValue::isVariant
    {26, 183, 295},	// QScriptValue::lessThan#
    {26, 224, 318},	// QScriptValue::objectId
    {26, 229, 262},	// QScriptValue::operator=#
    {26, 240, 323},	// QScriptValue::property#
    {26, 241, 306},	// QScriptValue::property##
    {26, 243, -24},	// QScriptValue::property$
    {26, 244, -27},	// QScriptValue::property$#
    {26, 246, 326},	// QScriptValue::propertyFlags#
    {26, 247, 309},	// QScriptValue::propertyFlags##
    {26, 249, 325},	// QScriptValue::propertyFlags$
    {26, 250, 308},	// QScriptValue::propertyFlags$#
    {26, 251, 298},	// QScriptValue::prototype
    {26, 267, 300},	// QScriptValue::scope
    {26, 269, 316},	// QScriptValue::scriptClass
    {26, 281, 315},	// QScriptValue::setData#
    {26, 289, 324},	// QScriptValue::setProperty##
    {26, 290, 307},	// QScriptValue::setProperty###
    {26, 292, -30},	// QScriptValue::setProperty$#
    {26, 293, -33},	// QScriptValue::setProperty$##
    {26, 295, 299},	// QScriptValue::setPrototype#
    {26, 299, 301},	// QScriptValue::setScope#
    {26, 301, 317},	// QScriptValue::setScriptClass#
    {26, 313, 297},	// QScriptValue::strictlyEquals#
    {26, 326, 282},	// QScriptValue::toBool
    {26, 327, 283},	// QScriptValue::toBoolean
    {26, 328, 292},	// QScriptValue::toDateTime
    {26, 330, 285},	// QScriptValue::toInt32
    {26, 331, 284},	// QScriptValue::toInteger
    {26, 332, 281},	// QScriptValue::toNumber
    {26, 333, 291},	// QScriptValue::toObject
    {26, 335, 290},	// QScriptValue::toQMetaObject
    {26, 336, 289},	// QScriptValue::toQObject
    {26, 337, 293},	// QScriptValue::toRegExp
    {26, 338, 280},	// QScriptValue::toString
    {26, 341, 287},	// QScriptValue::toUInt16
    {26, 342, 286},	// QScriptValue::toUInt32
    {26, 343, 288},	// QScriptValue::toVariant
    {26, 367, 344},	// QScriptValue::~QScriptValue
    {27, 52, 345},	// QScriptValueIterator::QScriptValueIterator#
    {27, 138, 354},	// QScriptValueIterator::flags
    {27, 150, 346},	// QScriptValueIterator::hasNext
    {27, 151, 348},	// QScriptValueIterator::hasPrevious
    {27, 186, 350},	// QScriptValueIterator::name
    {27, 219, 347},	// QScriptValueIterator::next
    {27, 229, 358},	// QScriptValueIterator::operator=#
    {27, 237, 349},	// QScriptValueIterator::previous
    {27, 263, 355},	// QScriptValueIterator::remove
    {27, 273, 351},	// QScriptValueIterator::scriptName
    {27, 305, 353},	// QScriptValueIterator::setValue#
    {27, 325, 357},	// QScriptValueIterator::toBack
    {27, 329, 356},	// QScriptValueIterator::toFront
    {27, 356, 352},	// QScriptValueIterator::value
    {27, 368, 359},	// QScriptValueIterator::~QScriptValueIterator
    {28, 53, 360},	// QScriptable::QScriptable
    {28, 86, 365},	// QScriptable::argument$
    {28, 87, 364},	// QScriptable::argumentCount
    {28, 108, 362},	// QScriptable::context
    {28, 117, 361},	// QScriptable::engine
    {28, 316, 363},	// QScriptable::thisObject
    {28, 369, 366},	// QScriptable::~QScriptable
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtscript_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtscript_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtscript_Smoke = new Smoke(
        "qtscript",
        __smokeqtscript::classes, 30,
        __smokeqtscript::methods, 367,
        __smokeqtscript::methodMaps, 341,
        __smokeqtscript::methodNames, 369,
        __smokeqtscript::types, 160,
        __smokeqtscript::inheritanceList,
        __smokeqtscript::argumentList,
        __smokeqtscript::ambiguousMethodList,
        __smokeqtscript::cast );
    initialized = true;
}

void delete_qtscript_Smoke() { delete qtscript_Smoke; }

}
